Bug 34546 - Cannot remove first valve from pipeline
Cannot remove first valve from pipeline
Status: RESOLVED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Catalina
5.5.8
All All
: P2 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2005-04-21 00:58 UTC by Christian Betz
Modified: 2005-05-08 16:17 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Betz 2005-04-21 00:58:36 UTC
Hi!

It's not possible to remove the first valve from the default
Pipeline-Implementatation.

There was no special code for first, only for "re-pointing" the next elements.


Sorry, I do not have the code at hand right now, but simply try to add a valve
ant remove it - see, it's still there.

Bye

Chris
Comment 1 Yoav Shapira 2005-05-03 16:18:59 UTC
Please provide a ready-to-test WAR or another setup so we can reproduce the
behavior you report.  Until that happens, we treat this issue as invalid.
Comment 2 william.barker 2005-05-03 21:14:23 UTC
Reopening so I can find it again.

This is a bug in StandardPipeline.removeValve, but it's such a minority use-
case that I haven't been in a rush to patch it.  I should get to it before 
5.5.10 gets roled.
Comment 3 william.barker 2005-05-09 00:17:52 UTC
This has been fixed in the CVS, and will appear in 5.5.10